package com.gh.gamecenter.energy.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IBuildConfigProvider
import com.gh.gamecenter.energy.BuildConfig

@Route(path = RouteConsts.provider.buildConfig, name = "BuildConfig暴露服务")
class BuildConfigImpl : IBuildConfigProvider {
    override fun init(context: Context?) {
        // Do nothing
    }

    override fun getApplicationId(): String = BuildConfig.APPLICATION_ID

    override fun getVersionName(): String = BuildConfig.VERSION_NAME

    override fun getExposureVersion(): String = ""

    override fun isDebug(): Boolean = BuildConfig.DEBUG

    override fun getApiHost(): String = BuildConfig.API_HOST

    override fun getDevApiHost(): String = BuildConfig.DEV_API_HOST

    override fun getNewApiHost(): String = ""

    override fun getNewDevApiHost(): String = ""

    override fun getVApiHost() = ""

    override fun getVDevApiHost() = ""

}